## digikam 1.2.0

=== debian/changelog ===
digikam (2:1.2.0-7) unstable; urgency=medium

  * Pull ratingwidget patch from upstream (Closes: #591918)
    - http://bugs.kde.org/show_bug.cgi?id=232628

 -- Mark Purcell <msp@debian.org>  Sat, 14 Aug 2010 17:23:44 +1000

digikam (2:1.2.0-6) unstable; urgency=low

  * Pull big-endian thumbnails patch from upstream
    - https://bugs.kde.org/show_bug.cgi?id=233094

 -- Mark Purcell <msp@debian.org>  Tue, 27 Jul 2010 07:39:25 +1000

digikam (2:1.2.0-5) unstable; urgency=low

  * Added epoc: Fix "Incorrect Conflicts/Replaces versions" (Closes: #584792)

 -- Mark Purcell <msp@debian.org>  Mon, 07 Jun 2010 08:04:43 +1000

digikam (2:1.2.0-4) unstable; urgency=low

  * Upload to unstable
  * dh $@ --with kde
  * Tighten HTML Build-Deps
  * Add digikam-data package. Fixes arch-dep-package-has-big-usr-share

 -- Mark Purcell <msp@debian.org>  Sat, 05 Jun 2010 10:13:31 +1000

digikam (2:1.2.0-3) experimental; urgency=medium

  * Fix "Crash just after start" digikam-1.2.0-kde232628.patch (Closes: #580792)

 -- Mark Purcell <msp@debian.org>  Sun, 09 May 2010 22:37:39 +1000

digikam (2:1.2.0-2) unstable; urgency=low

  * Upload to unstable for KDE SC 4.4.3 (Closes: #579985, #577688, #569729) 
  * Upgrade to dh 7 - drop cdbs

 -- Mark Purcell <msp@debian.org>  Mon, 03 May 2010 08:41:45 +1000

digikam (2:1.2.0-1) experimental; urgency=low

  * New upstream release
  * Renable Build-Depends: libmarble-dev
  * Drop quilt & debian/patches - included upstream

 -- Mark Purcell <msp@debian.org>  Wed, 07 Apr 2010 19:39:11 +1000

digikam (2:1.1.0-1+snapshots) UNRELEASED; urgency=low

  * Special build for experimental-snapshots
  * Build-Depends: libkipi-dev libkdcraw-dev

 -- Mark Purcell <msp@debian.org>  Sat, 06 Mar 2010 17:40:16 +1100

digikam (2:1.1.0-1) unstable; urgency=low

  * New upstream release 
    - AdvancedRename : The ReplaceModifier has regular expressions support now.
    - ImageEditor : Add an option to add vignetting over an image.
    - Fixes "ftbfs with gcc-4.5" (Closes: #564975)
    - Fixes "Save window in editor lock main browse window" (Closes: #551535)
  * Recommends: dolphin used in the Open Filemanager function
    - non-kde users are not required to install Recommends:
    - Fix "digikam 1.0 should Recommend: dolphin" (Closes: #562152)
  * Build-Conflicts: libmarble-dev (See bug 560893)
    - causes 100% CPU on exit

 -- Mark Purcell <msp@debian.org>  Tue, 02 Feb 2010 18:04:57 +0100

digikam (2:1.0.0-1) unstable; urgency=low

  * New upstream release

  [ Luka Renko ]
  * Do not recommend dolphin: not used, make non-kde users happy
  * Change Vcs-Svn/Vcs-Browser links to correct location
  * Add upstream fix for crash in editor
    - more info: http://bugs.kde.org/219559
    - debian/patches/10_kdesvn_r1064789_fix_editor_crash.diff

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Mon, 21 Dec 2009 21:27:10 +0100

digikam (2:1.0.0~rc-1) unstable; urgency=low

  * New upstream release
  * Bugs fixed upstream:
    - (Closes: #555972,#533434,#524392,#518674,#558169,#558168)
  * Print Wizard reworked - now Print Assistant:
    - (Closes: #529345,#529346,#529347,#424763)

 -- Mark Purcell <msp@debian.org>  Wed, 02 Dec 2009 18:43:31 +1100

digikam (2:1.0.0~beta6-1) unstable; urgency=low

  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Tue, 10 Nov 2009 08:05:18 +1100

digikam (2:1.0.0~beta5-1) unstable; urgency=low

  * New upstream release
  * Remove 01_dont_use_tests_directory.diff - fixed upstream
  * Add libx11-dev build dependency to fix a ftbfs
  * Update Standards Version to 3.8.3 (no changes needed)

 -- Fathi Boudra <fabo@debian.org>  Tue, 06 Oct 2009 10:24:45 +0200

digikam (2:1.0.0~beta4-2) unstable; urgency=low

  [ José Manuel Santamaría Lema ]

  * Add 01_dont_use_tests_directory.diff patch:
    - avoid including the "tests" directory (Closes: #544677, #545436)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 06 Sep 2009 23:22:36 +0200

digikam (2:1.0.0~beta4-1) unstable; urgency=low

  * New upstream release 
  * top level tests/ required

 -- Mark Purcell <msp@debian.org>  Tue, 01 Sep 2009 17:53:38 +1000

digikam (2:1.0.0~beta3-1) unstable; urgency=low

  * New upstream release

 -- Fathi Boudra <fabo@debian.org>  Sat, 25 Jul 2009 08:43:28 +0200

digikam (2:1.0.0~beta2-1) unstable; urgency=low

  * New upstream release
  * Update Standards Version 3.8.2 - no changes necessary
  * Add libglib2.0-dev build dependency
  * Update installed files and add not-installed.

 -- Fathi Boudra <fabo@debian.org>  Thu, 09 Jul 2009 10:09:06 +0200

digikam (2:1.0.0~beta1-1) unstable; urgency=low

  * New upstream release
  * Removed NEWS warning about digikam 0.10 beta
    - (Closes: #524067): "please remove NEWS entry"
  * Add Build-Depends:  liblqr-1-0-dev
  * Update Standards Version 3.8.1 - no changes necessary
  * Move shofoto data directory to showfoto package. Conflicts/Replaces
    added. Thks ubuntu

 -- Mark Purcell <msp@debian.org>  Wed, 10 Jun 2009 22:17:30 +1000

digikam (2:0.10.0-2) unstable; urgency=low

  [ Luka Renko ]
  * Merge all remaining changes from Ubuntu:
    - Depends: kde-icons-oxygen dropped (included through kdelibs)
    - Recommends: kipi-plugins added (provides major functionality)
    - debian/digikamthemedesigner.manpage: add missing manpage

  [ Mark Purcell ]
  * Upload to unstable - KDE4 is here ;-) 

 -- Mark Purcell <msp@debian.org>  Tue, 07 Apr 2009 19:35:12 +1000

digikam (2:0.10.0-1) experimental; urgency=low

  * New upstream release
    - Fixes "digiKam 0.10.0 Release Plan (KDE4)" (Closes: #494270)
    - Fixes "missing 0.10.0~rc2 binary for amd64" (Closes: #517455)
  * Recommends: dolphin (Open FileManager), www-browser (ReportBug, About)
  * digikam uses marble plugins provided by libmarble4 now
    - Fixes "Digikam (experimental) doesn't work at all" (Closes: #491458)
  * digikam-dbg Section: debug
  * Build-Depends: liblensfun-dev



=== debian/control ===
Source: digikam
Section: graphics
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.2), pkg-kde-tools (>= 0.9), cmake (>= 2.6.2), autotools-dev,
 kdelibs5-dev (>= 4:4.4.4), kdepimlibs5-dev,
 libglib2.0-dev, libgphoto2-2-dev (>= 2.4),
 libkipi-dev, libkexiv2-dev, libkdcraw-dev, libmarble-dev (>= 4:4.4),
 liblcms1-dev, libtiff4-dev, libpng12-dev, liblqr-1-0-dev,
 libjasper-dev,
 liblensfun-dev,
 libsqlite3-dev,
 libltdl3-dev,
 libx11-dev
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/digikam/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/digikam/trunk?op=log
Homepage: http://www.digikam.org

Package: digikam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite, digikam-data (= ${source:Version})
Recommends: www-browser, kipi-plugins
Suggests: digikam-doc
Description: digital photo management application for KDE
 Digital photo management program designed to import, organize, enhance, search
 and export your digital images to and from your computer.
 .
 Some of the new features in this release of digiKam include (compared to
 digiKam 0.9.4):
  Designed from the ground-up for KDE4, using KDE4 technology:
  Hardware handling with KDE4's Solid interface
  More comprehensive multimedia file handling using KDE4's Phonon interface
  Easy Geolocation with KDE4's Marble interface
  XMP metadata support
  TIFF/EP RAW metadata editing
  Customizable file storage for the digiKam database, supporting remote albums
  Support of multiple root album paths (no more importing into one giant album)
  Thumbnail-bar integration for easy navigation and editing
  Supports the latest camera RAW files
 .
 New/revamped tools:
  Revamped camera import wizard
  LensFun integration: auto-correction of lens distortion
  Fuzzy searches based on hand-drawn sketches
  Advanced searches using image meta-information, like keywords and dates
  Map searching that gives you the power to search for global photo locations
  Advanced searches for duplicate and similar images
 .
 digiKam can also make use of the KIPI image handling plugins to
 extend its capabilities even further for photo manipulations,
 import and export, etc. The kipi-plugins package contains many
 very useful extentions.

Package: showfoto
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, digikam (= ${binary:Version})
Recommends: dolphin, kipi-plugins
Conflicts: digikam (<= 2:0.10.0-1ubuntu1)
Replaces: digikam (<= 2:0.10.0-1ubuntu1)
Description: image viewer/editor for KDE
 Showphoto is the standalone image editor of the  digiKam project.
 .
 It runs without digiKam images database support, but provides all Image Editor
 functions.

Package: digikam-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, digikam (= ${binary:Version}), showfoto (= ${binary:Version}), kdelibs5-dbg
Priority: extra
Description: debugging symbols for digikam
 The debugging symbols associated with digikam and showfoto. They will
 automatically be used by gdb for debugging digikam-related issues.

Package: digikam-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: digikam (<= 2:1.2.0-4)
Replaces: digikam (<= 2:1.2.0-4)
Description: digikam architecture-independant data
 Contains the significant amount of architecture-independent data that is
 shipped with digikam.
 .
 It has been placed in an architecture all file so we do not have
 to ship one copy for each architecture.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kde --parallel

override_dh_strip:
	dh_strip -a --dbg-package=digikam-dbg

=== debian/watch ===
# See uscan(1) for format
version=3

opts=uversionmangle=s/-/~/  \
 http://sf.net/digikam/digikam-(\d+.*)\.tar\.bz2 debian svn-upgrade

#opts=uversionmangle=s/-/~/  \
# #http://digikam3rdparty.free.fr/0.10.x-releases/digikam-(.*).tar.bz2

## digikam 1.4.0

=== debian/changelog ===
digikam (2:1.4.0-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release (LP: #626751)
  * Install the file NEWS as upstream changelog because "ChangeLog" is
    too verbose.
  * Don't copy the desktop .pot file to imageplugins, not needed anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 26 Aug 2010 19:25:16 +0200

digikam (2:1.3.0-0ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Export .pot name and copy to plugins in debian/rules
    - Enable Nepomuk support in Digikam
      - Add shared-desktop-ontologies to build depends
  * New upstream release:
    - Remove digikam-1.2.0-kde232628.patch fixed by upstream
    - Add mysql-server-5.1 to buil-depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 18 Jun 2010 21:58:46 +0200

digikam (2:1.2.0-4ubuntu2) maverick; urgency=low

  * Rebuild for libmarblewidget4 -> libmarblewidget10 transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 09 Jun 2010 03:48:41 +0200

digikam (2:1.2.0-4ubuntu1) maverick; urgency=low

  * Merge with Debian, remaining changes:
    - Export .pot name and copy to plugins in debian/rules
    - Enable Nepomuk support in Digikam
      + Add shared-desktop-ontologies to build depends

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 05 Jun 2010 18:38:57 +0200

digikam (2:1.2.0-0ubuntu3) maverick; urgency=low

  * Update build-deps for libkipi-dev, libkexiv2-dev, libkdcraw-dev to new
    package names

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 May 2010 12:05:11 +0000

digikam (2:1.2.0-0ubuntu2) lucid; urgency=low

  * Add kubuntu_01_fix_crash_startup_in_ratingwidget.diff (LP: #565604)
  * Add quilt to build-depends
  * Add include /usr/share/cdbs/1/rules/patchsys-quilt.mk in debian/rules

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 18 Apr 2010 11:06:03 +0200

digikam (2:1.2.0-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #560576)
  * Remove all patches, fixed upstream
    - Remove quilt build-depend

 -- Christian Mangold <neversfelde@ubuntu.com>  Fri, 09 Apr 2010 21:30:01 +0200

digikam (2:1.1.0-1ubuntu2) lucid; urgency=low

  * Enable Nepomuk support in Digikam
    - Add shared-desktop-ontologies to build depends

 -- Luka Renko <lure@ubuntu.com>  Tue, 09 Feb 2010 15:32:01 +0100

digikam (2:1.1.0-1ubuntu1) lucid; urgency=low

  * New upstream release:
    - Rename in BQM fails with multi dot names (LP: #501135)
    - Add collection with similar name fails (LP: #500581)
    - Add SMB folder error message (LP: #350280)
    - Zoom indicators indicate wrong magnification (LP: #510346)
  * Merge with Debian, remaining changes:
    - Export .pot name and copy to plugins in debian/rules
    - Build-depend on libkipi7-dev, libkexiv2-8-dev and
      libkdcraw8-dev (KDE 4.3 -> 4.4)
    - Build-depend on libmarble-dev (was disabled temporarily
      in Debian due to 4.3.4 regression)

 -- Luka Renko <lure@ubuntu.com>  Thu, 04 Feb 2010 07:46:57 +0100

digikam (2:1.0.0-1ubuntu1) lucid; urgency=low

  * Merge with Debian, remaining changes:
    - Export .pot name and copy to plugins in debian/rules
    - Build-depend on libkipi7-dev, libkexiv2-8-dev and
      libkdcraw8-dev (KDE 4.3 -> 4.4)
  * Build-depend on liblqr-1-0-dev: now in main (LP: #493508)

 -- Luka Renko <lure@ubuntu.com>  Tue, 22 Dec 2009 21:38:14 +0100

digikam (2:1.0.0~rc-1ubuntu2) lucid; urgency=low

  * Change build-dep on libkipi6-dev, libkexiv2-7-dev, and libkdcraw7-dev to
    libkipi7-dev, libkexiv2-8-dev, and libkdcraw8-dev (KDE 4.3 -> 4.4)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 09 Dec 2009 10:42:42 -0500

digikam (2:1.0.0~rc-1ubuntu1) lucid; urgency=low

  * Merge with Debian, remaining changes:
    - Export .pot name and copy to plugins in debian/rules
    - Remove liblqr-1-0-dev from build-deps, not in main

 -- Luka Renko <lure@ubuntu.com>  Sun, 06 Dec 2009 19:35:35 +0100

digikam (2:1.0.0~beta6-1ubuntu2) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Nov 2009 08:59:50 +0000

digikam (2:1.0.0~beta6-1ubuntu1) lucid; urgency=low

  * Merge with Debian, remaining changes:
    - Export .pot name and copy to plugins in debian/rules
    - Remove liblqr-1-0-dev from build-deps, not in main

 -- Luka Renko <lure@ubuntu.com>  Thu, 12 Nov 2009 18:02:13 +0100

digikam (2:1.0.0~beta5-1ubuntu1) karmic; urgency=low

  * New upstream release (LP: #445232)
  * Merge with Debian, remaining changes:
    - Export .pot name and copy to plugins in debian/rules
    - Remove liblqr-1-0-dev from build-deps, not in main

 -- Luka Renko <lure@ubuntu.com>  Wed, 07 Oct 2009 07:11:34 +0200

digikam (2:1.0.0~beta3-1ubuntu1) karmic; urgency=low

  * Merge with debian unstable, remaining changes:
    - Export .pot name and copy to plugins in debian/rules
    - Remove liblqr-1-0-dev from build-deps, not in main

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 26 Jul 2009 22:11:35 +0200

digikam (2:1.0.0~beta1-1ubuntu2) karmic; urgency=low

  * Remove liblqr-1-0-dev from build-deps, not in main

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 23 Jun 2009 14:42:23 +0200

digikam (2:1.0.0~beta1-1ubuntu1) karmic; urgency=low

  * Merge with debian unstable, remaining changes:
    - export .pot name and copy to plugins in debian/rules
    - digikam.install: add /usr/bin/cleanup_digikamdb

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 19 Jun 2009 19:56:52 +0200

digikam (2:0.10.0-2ubuntu1) karmic; urgency=low

  * Merge with Debian, remaining changes:
   - export .pot name and copy to plugins in debian/rules
   - Move showfoto data directory to showfoto package. (edit showfoto.install and digikam.install)
     Conflicts/Replaces added to take care of transition.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2009 16:16:01 +0100

digikam (2:0.10.0-1ubuntu3) jaunty; urgency=low



=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: digikam
 Section: graphics
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 7.2), pkg-kde-tools (>= 0.9), cmake (>= 2.6.2), autotools-dev,
  kdelibs5-dev (>= 4:4.4.4), kdepimlibs5-dev,
  libglib2.0-dev, libgphoto2-2-dev (>= 2.4),
  libkipi-dev, libkexiv2-dev, libkdcraw-dev, libmarble-dev (>= 4:4.4),
+ shared-desktop-ontologies,
  liblcms1-dev, libtiff4-dev, libpng12-dev, liblqr-1-0-dev,
  libjasper-dev,
  liblensfun-dev,
  libsqlite3-dev,
  libltdl3-dev,
- libx11-dev
+ libx11-dev,
+ mysql-server-5.1
 Standards-Version: 3.8.4
-Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/digikam/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/digikam/trunk?op=log
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/digikam/ubuntu
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/digikam/ubuntu
 Homepage: http://www.digikam.org
 
 Package: digikam

=== debian/rules ===
#!/usr/bin/make -f

export KUBUNTU_DESKTOP_POT=extragear-graphics_digikam

%:
	dh $@ --with kde --parallel

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip -a --dbg-package=digikam-dbg

## digikam 1.9.0

=== CMakeLists.txt ===
PROJECT(digikam)

OPTION(ENABLE_THEMEDESIGNER "Build digiKam theme designer (default=OFF)" OFF)
OPTION(ENABLE_THUMBS_DB "Build digiKam with thumbnails database support (default=ON)" ON)

# ==================================================================================================
# Information to update before to release this package.

# digiKam version
SET(DIGIKAM_MAJOR_VERSION "1")
SET(DIGIKAM_MINOR_VERSION "9")
SET(DIGIKAM_PATCH_VERSION "0")

#digiKam release date
SET(DIGIKAM_RELEASE_DATE "2011-02-19")

# Suffix to add at end of version string. Usual values are:
# "-git"   : alpha code unstable from git. Do not use in production
# "-beta1" : beta1 release.
# "-beta2" : beta2 release.
# "-beta3" : beta3 release.
# "-rc"    : release candidate.
# ""       : final release. Can be used in production.
SET(DIGIKAM_SUFFIX_VERSION "")

# ==================================================================================================
# Set env. variables accordingly.

SET(DIGIKAM_VERSION_SHORT
    "${DIGIKAM_MAJOR_VERSION}.${DIGIKAM_MINOR_VERSION}.${DIGIKAM_PATCH_VERSION}"
   )

SET(DIGIKAM_VERSION_STRING
    "${DIGIKAM_VERSION_SHORT}${DIGIKAM_SUFFIX_VERSION}"
   )

# Path to find FindPGF.cmake script.
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

# ==================================================================================================
# Debug area codes
# These codes will be set for every project specific path automatically, so
# that you can use kDebug() without any usage of the area code throughout the
# digiKam code base.
SET(AREA_CODE_GENERAL        "50003")
SET(AREA_CODE_KIOSLAVES      "50004")
SET(AREA_CODE_SHOWFOTO       "50005")
SET(AREA_CODE_IMAGEPLUGINS   "50006")
SET(AREA_CODE_DATABASESERVER "50007")
ADD_DEFINITIONS(-DKDE_DEFAULT_DEBUG_AREA=${AREA_CODE_GENERAL})

MACRO(SET_DEBUG_AREA_CODE _areacode)
    REMOVE_DEFINITIONS(-DKDE_DEFAULT_DEBUG_AREA=${AREA_CODE_GENERAL})
    ADD_DEFINITIONS(-DKDE_DEFAULT_DEBUG_AREA=${_areacode})
ENDMACRO(SET_DEBUG_AREA_CODE)

# =======================================================
# some useful macros for printing status information

SET(PRINT_COMPILE_LENGTH "40")
MACRO(FILL_WITH_DOTS VAR)

    STRING(LENGTH ${${VAR}} NAME_LENGTH)

    MATH(EXPR DOT_LENGTH "${PRINT_COMPILE_LENGTH} - ${NAME_LENGTH}")
    IF(${DOT_LENGTH} LESS 0)
        SET(DOT_LENGTH 0)
    ENDIF(${DOT_LENGTH} LESS 0)

    FOREACH(COUNT RANGE ${DOT_LENGTH})
        SET(${VAR} "${${VAR}}.")
    ENDFOREACH(COUNT)

ENDMACRO(FILL_WITH_DOTS)

MACRO(PRINT_LIBRARY_STATUS NAME WEBSITE VERSIONHINT)

    SET(LIB_MESSAGE "${NAME} library found")
    FILL_WITH_DOTS(LIB_MESSAGE)

    IF(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} YES")
    ELSE(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} NO")
        MESSAGE(STATUS "")
        MESSAGE(SEND_ERROR " digiKam needs ${NAME}. You need to install the ${NAME}${VERSIONHINT} library development package.")
        MESSAGE(STATUS " ${NAME} website is at ${WEBSITE}")
        MESSAGE(STATUS "")
    ENDIF(${ARGN})

ENDMACRO(PRINT_LIBRARY_STATUS)

MACRO(PRINT_QTMODULE_STATUS NAME)

    SET(LIB_MESSAGE "${NAME} module found")
    FILL_WITH_DOTS(LIB_MESSAGE)

    IF(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} YES")
    ELSE(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} NO")
        MESSAGE(STATUS "")
        MESSAGE(SEND_ERROR " digiKam needs ${NAME} module. You need to install a package containing the ${NAME} module.")
        MESSAGE(STATUS "")
    ENDIF(${ARGN})

ENDMACRO(PRINT_QTMODULE_STATUS)

MACRO(PRINT_EXECUTABLE_STATUS NAME TECHNICAL_NAME PATH_VARIABLE)

    SET(LIB_MESSAGE "${NAME} found")
    FILL_WITH_DOTS(LIB_MESSAGE)

    IF(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} YES")
    ELSE(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} NO")
        MESSAGE(STATUS "")
        MESSAGE(STATUS " digiKam needs ${NAME}. You need to install the package containing the \"${TECHNICAL_NAME}\" executable.")
        MESSAGE(STATUS " If you have this executable installed, please specify the folder containing it by ${PATH_VARIABLE}")
        MESSAGE(SEND_ERROR "")
    ENDIF(${ARGN})

ENDMACRO(PRINT_EXECUTABLE_STATUS)

# ==================================================================================================
# Dependencies

FIND_PACKAGE(KDE4 REQUIRED)
INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)

INCLUDE(FindPackageHandleStandardArgs)

FIND_PACKAGE(LCMS)
FIND_PACKAGE(JPEG)
FIND_PACKAGE(PNG)
FIND_PACKAGE(TIFF)
FIND_PACKAGE(Jasper)
FIND_PACKAGE(Kdcraw)
FIND_PACKAGE(Kexiv2)
FIND_PACKAGE(Kipi)
FIND_PACKAGE(PGF)
FIND_PACKAGE(CLAPACK)

MACRO_BOOL_TO_01(PGF_FOUND USE_EXT_LIBPGF)
IF(NOT APPLE)
    MACRO_BOOL_TO_01(CLAPACK_FOUND USE_EXT_LIBCLAPACK)
ELSE(NOT APPLE)
    # Under MACOS-X Clapack exist in standard, but it's not suitable as well. Need investiguation here.
    SET(CLAPACK_FOUND FALSE)
ENDIF(NOT APPLE)

# Extract version of libjpeg so that we can use the appropriate dir
# See bug #227313, #228483
FILE(READ "${JPEG_INCLUDE_DIR}/jpeglib.h" jpeglib_h_content)
STRING(REGEX REPLACE ".*#define +JPEG_LIB_VERSION +([0-9]+).*" "\\1" jpeglib_version "${jpeglib_h_content}")
MESSAGE(STATUS "Identified libjpeg version: ${jpeglib_version}")

IF ("${jpeglib_version}" LESS 80)
    SET(DIGIKAM_LIBJPEG_DIR libjpeg-62)
ELSE ("${jpeglib_version}" LESS 80)
    SET(DIGIKAM_LIBJPEG_DIR libjpeg-80)
ENDIF ("${jpeglib_version}" LESS 80)

# Check KDcraw version installed to compile fine.
IF(NOT WIN32)
    FIND_PACKAGE(PkgConfig)
    PKG_CHECK_MODULES(Kdcraw libkdcraw>=1.1.0)
    IF(Kdcraw_FOUND)
        SET(KDCRAW_FOR_DIGIKAM TRUE)
    ELSE(Kdcraw_FOUND)
        SET(KDCRAW_FOR_DIGIKAM FALSE)
    ENDIF(Kdcraw_FOUND)
ELSE(NOT WIN32)
    SET(KDCRAW_FOR_DIGIKAM TRUE)
ENDIF(NOT WIN32)

# Check KExiv2 version installed to compile fine.
IF(NOT WIN32)
    FIND_PACKAGE(PkgConfig)
    PKG_CHECK_MODULES(Kexiv2 libkexiv2>=1.1.0)
    IF(Kexiv2_FOUND)
        SET(KEXIV2_FOR_DIGIKAM TRUE)
    ELSE(Kexiv2_FOUND)
        SET(KEXIV2_FOR_DIGIKAM FALSE)
    ENDIF(Kexiv2_FOUND)
ELSE(NOT WIN32)
    SET(KEXIV2_FOR_DIGIKAM TRUE)
ENDIF(NOT WIN32)

# Check MySQL executables
FIND_PROGRAM( SERVERCMD_MYSQL mysqld
              PATHS /usr/sbin /usr/local/sbin /usr/libexec /usr/local/libexec /opt/local/libexec
                    /opt/mysql/libexec /usr/mysql/bin /opt/mysql/sbin ${MYSQLD_PATH}
                    ENV MYSQLD_PATH )
MESSAGE(STATUS "Found MySQL server executable at: ${SERVERCMD_MYSQL}")

# NOTE: under windows, mysql_install_db PERL script is named "mysql_install_db.pl"
#       under MACOS-X, through macports project, mysql_install_db PERL script is named "mysql_install_db5"
FIND_PROGRAM( INITCMD_MYSQL mysql_install_db mysql_install_db5 mysql_install_db.pl
              PATHS /usr/sbin /usr/local/sbin /usr/libexec /usr/local/libexec
                    /opt/mysql/libexec /usr/mysql/bin /opt/mysql/bin ${MYSQL_TOOLS_PATH}
                    ENV MYSQL_TOOLS_PATH )
MESSAGE(STATUS "Found MySQL install_db executable at: ${INITCMD_MYSQL}")

# ==================================================================================================
# Optional dependencies

MACRO_OPTIONAL_FIND_PACKAGE(Gphoto2)
MACRO_BOOL_TO_01(GPHOTO2_FOUND HAVE_GPHOTO2)

MACRO_OPTIONAL_FIND_PACKAGE(KdepimLibs)
MACRO_BOOL_TO_01(KDEPIMLIBS_FOUND HAVE_KDEPIMLIBS)

SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH} )

# Check MarbleWidget library for geolocation.
MACRO_OPTIONAL_FIND_PACKAGE(MarbleWidget)
MACRO_BOOL_TO_01(MARBLEWIDGET_FOUND HAVE_MARBLEWIDGET)
IF (MARBLEWIDGET_FOUND)
    INCLUDE(libs/imageproperties/markerclusterholderplugin/CheckPluginBuildable.cmake)
ENDIF (MARBLEWIDGET_FOUND)

# Check GLib2 library for lrqr-1 and lensfun libraries.
MACRO_OPTIONAL_FIND_PACKAGE(GLIB2)
MACRO_BOOL_TO_01(GLIB2_FOUND HAVE_GLIB2)

# Check LensFun library for Lens auto-correction tool.
MACRO_OPTIONAL_FIND_PACKAGE(LensFun)
MACRO_BOOL_TO_01(LENSFUN_FOUND USE_EXT_LIBLENSFUN)

# Check Lqr-1 library for Contents Aware Resizer tool.
MACRO_OPTIONAL_FIND_PACKAGE(Lqr-1)
MACRO_BOOL_TO_01(LQR-1_FOUND USE_EXT_LIBLQR-1)

MACRO_BOOL_TO_01(ENABLE_THUMBS_DB USE_THUMBS_DB)

# Win32 compilation with Nepomuk is broken. It's temporally disabled.
IF (NOT WIN32)
    IF (${KDE_VERSION} VERSION_GREATER "4.3.99")
    MACRO_OPTIONAL_FIND_PACKAGE(Nepomuk)
    macro_log_feature(NEPOMUK_FOUND "Nepomuk" "The Nepomuk libraries"
              "http://www.kde.org" FALSE "" "Nepomuk extends the search and tagging")

    MACRO_OPTIONAL_FIND_PACKAGE(SharedDesktopOntologies 0.2)
    macro_log_feature(SHAREDDESKTOPONTOLOGIES_FOUND "Shared desktop ontologies" "Desktop ontologies"
              "http://oscaf.sourceforge.net" TRUE "0.2" "Ontologies necessary for the Nepomuk semantic desktop.")

    IF (NEPOMUK_FOUND AND SHAREDDESKTOPONTOLOGIES_FOUND)
        SET(NEPOMUK_FOUND TRUE)
    ELSE (NEPOMUK_FOUND AND SHAREDDESKTOPONTOLOGIES_FOUND)
        SET(NEPOMUK_FOUND FALSE)
    ENDIF (NEPOMUK_FOUND AND SHAREDDESKTOPONTOLOGIES_FOUND)

    MACRO_BOOL_TO_01(NEPOMUK_FOUND HAVE_NEPOMUK)
    ENDIF (${KDE_VERSION} VERSION_GREATER "4.3.99")
ENDIF (NOT WIN32)

MACRO_OPTIONAL_FIND_PACKAGE(Doxygen)

# Set config files accordingly with optional dependencies

CONFIGURE_FILE(config-digikam.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-digikam.h)
CONFIGURE_FILE(libs/3rdparty/lensfun/config-lensfun.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/libs/3rdparty/lensfun/config-lensfun.h)

# ==================================================================================================
# Log messages

MESSAGE(STATUS "")
MESSAGE(STATUS "----------------------------------------------------------------------------------")
MESSAGE(STATUS " digiKam ${DIGIKAM_VERSION_STRING} dependencies results   <http://www.digikam.org>")
MESSAGE(STATUS "")

PRINT_QTMODULE_STATUS("Qt4 SQL" QT_QTSQL_FOUND)
PRINT_EXECUTABLE_STATUS("MySQL Server" mysqld MYSQLD_PATH SERVERCMD_MYSQL)
IF (NOT WIN32)
    PRINT_EXECUTABLE_STATUS("MySQL install_db tool" mysql_install_db MYSQL_TOOLS_PATH INITCMD_MYSQL)
ENDIF (NOT WIN32)
PRINT_LIBRARY_STATUS("libtiff" "http://www.remotesensing.org/libtiff" "" TIFF_FOUND)
PRINT_LIBRARY_STATUS("libpng" "http://www.libpng.org/pub/png/libpng.html" " (version >= 1.2.7)" PNG_FOUND)
PRINT_LIBRARY_STATUS("libjasper" "http://www.ece.uvic.ca/~mdadams/jasper" "" JASPER_FOUND)
PRINT_LIBRARY_STATUS("liblcms" "http://www.littlecms.com" "" LCMS_FOUND)
PRINT_LIBRARY_STATUS("libkipi" "http://www.digikam.org/sharedlibs" " (version >= 0.2.0)" KIPI_FOUND)
PRINT_LIBRARY_STATUS("libkexiv2" "http://www.digikam.org/sharedlibs" " (version >= 1.1.0)" KEXIV2_FOR_DIGIKAM)
PRINT_LIBRARY_STATUS("libkdcraw" "http://www.digikam.org/sharedlibs" " (version >= 1.1.0)" KDCRAW_FOR_DIGIKAM)

IF(PGF_FOUND)
    MESSAGE(STATUS " libpgf library found..................... YES (optional)")
ELSE(PGF_FOUND)
    MESSAGE(STATUS " libpgf library found..................... NO  (optional - internal version used instead)")
ENDIF(PGF_FOUND)

IF(CLAPACK_FOUND)
    MESSAGE(STATUS " libclapack library found................. YES (optional)")
ELSE(CLAPACK_FOUND)
    MESSAGE(STATUS " libclapack library found................. NO  (optional - internal version used instead)")
ENDIF(CLAPACK_FOUND)


# ================================================================

IF(GPHOTO2_FOUND)
    EXEC_PROGRAM(gphoto2-config ARGS --version RETURN_VALUE _return_VALUE OUTPUT_VARIABLE GPHOTO2_VERSION)
    STRING(REPLACE "libgphoto2" "" GPHOTO2_VERSION "${GPHOTO2_VERSION}")
    MACRO_ENSURE_VERSION("2.4.0" "${GPHOTO2_VERSION}" VERSION_GPHOTO2)
    IF(VERSION_GPHOTO2)
        SET(GPHOTO2_FOUND true)
    ELSE(VERSION_GPHOTO2)
        SET(GPHOTO2_FOUND false)
    ENDIF(VERSION_GPHOTO2)
ENDIF(GPHOTO2_FOUND)

IF(GPHOTO2_FOUND)
    MESSAGE(STATUS " libgphoto2 library found................. YES (optional)")
ELSE(GPHOTO2_FOUND)
    MESSAGE(STATUS " libgphoto2 library found................. NO  (optional)")
    MESSAGE(STATUS "")

=== digikam/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h)

# Shared libdigikamcore ################################################################

IF(NOT CLAPACK_FOUND)
   # Disable Clapack C code warnings.
   SET_SOURCE_FILES_PROPERTIES(${libclapack_SRCS} PROPERTIES COMPILE_FLAGS "-w")
ENDIF(NOT CLAPACK_FOUND)

IF(NOT PGF_FOUND)
   # Disable libpgf warnings.
   SET_SOURCE_FILES_PROPERTIES(${libpgf_SRCS} PROPERTIES COMPILE_FLAGS "-w")
ENDIF(NOT PGF_FOUND)

# Disable liblqr C code warnings.
SET_SOURCE_FILES_PROPERTIES(${liblqr_SRCS} PROPERTIES COMPILE_FLAGS "-w")

# Disable liblqr C code warnings.
SET_SOURCE_FILES_PROPERTIES(${liblensfun_SRCS} PROPERTIES COMPILE_FLAGS "-w")

SET(digikamcore_LIB_SRCS
        # basic libs
        ${libdimg_SRCS}
        ${libdimgloaders_SRCS}
        ${libdimgfilters_SRCS}
        ${libdmetadata_SRCS}
        ${libdatabasecore_SRCS}
        ${liblprof_SRCS}
        ${libjpegutils_SRCS}
        ${libthreadimageio_SRCS}
        ${libthemeengine_SRCS}
        ${libpgf_SRCS}
        ${pgfutils_SRCS}
        ${libdigikamhelpers_SRCS}
        ${libtthread_SRCS}

        # widgets and dialogs
        ${libcommonwidgets_SRCS}
        ${libeditorwidgets_SRCS}
        ${libiccprofileswidgets_SRCS}
        ${libmetadatawidgets_SRCS}
        ${libdialogs_SRCS}
        ${libimageproperties_SRCS}

        # utilities
        ${libslideshow_SRCS}
        ${libdimgcanvas_SRCS}
        ${libdimgeditorprintiface_SRCS}
        ${libdimgeditor_SRCS}
        ${librawimport_SRCS}
)

KDE4_ADD_UI_FILES(digikamcore_LIB_SRCS
                  ${CMAKE_CURRENT_SOURCE_DIR}/../utilities/imageeditor/printiface/printoptionspage.ui
                 )

KDE4_ADD_KCFG_FILES(digikamcore_LIB_SRCS
                    ${CMAKE_CURRENT_SOURCE_DIR}/../utilities/imageeditor/printiface/digikamconfig.kcfgc
                   )

KDE4_ADD_LIBRARY(digikamcore SHARED ${digikamcore_LIB_SRCS})

ADD_DEPENDENCIES(digikamcore digikam-gitversion)

TARGET_LINK_LIBRARIES(digikamcore
        ${KDE4_KDECORE_LIBS}
        ${KDE4_KIO_LIBS}
        ${KDE4_KFILE_LIBS}
        ${KDE4_KHTML_LIBS}
        ${KDE4_KNOTIFYCONFIG_LIBRARY}
        ${KDE4_KDEUI_LIBS}
        ${KDE4_KUTILS_LIBS}
        ${KDE4_SOLID_LIBS}
        ${QT_QTSQL_LIBRARY}
        ${QT_QT3SUPPORT_LIBRARY}

        ${JPEG_LIBRARIES}
        ${TIFF_LIBRARIES}
        ${PNG_LIBRARIES}
        ${LCMS_LIBRARIES}
        ${JASPER_LIBRARIES}

        # Required by CImg library which is using pthread internally.
        ${CMAKE_THREAD_LIBS_INIT}

        ${KDCRAW_LIBRARIES}
        ${KEXIV2_LIBRARIES}
        ${KIPI_LIBRARIES}
)

IF(PGF_FOUND)
   TARGET_LINK_LIBRARIES(digikamcore ${PGF_LIBRARIES})
ENDIF(PGF_FOUND)

IF(MARBLEWIDGET_FOUND)
    TARGET_LINK_LIBRARIES(digikamcore ${LIBMARBLEWIDGET_LIBRARY})
ENDIF(MARBLEWIDGET_FOUND)

IF(CLAPACK_FOUND)
   TARGET_LINK_LIBRARIES(digikamcore ${CLAPACK_LIBRARY})
ENDIF(CLAPACK_FOUND)

IF(Q_WS_X11)
    TARGET_LINK_LIBRARIES(digikamcore ${X11_LIBRARIES})
ENDIF(Q_WS_X11)

# For Contents Aware Resizer and Lens auto-correction tools.
IF(GLIB2_FOUND)
    TARGET_LINK_LIBRARIES(digikamcore ${GLIB2_LIBRARIES} ${liblqr_LIBS} ${liblensfun_LIBS})
ENDIF(GLIB2_FOUND)

SET_TARGET_PROPERTIES(digikamcore PROPERTIES VERSION 1.0.0 SOVERSION 1)
IF(WIN32)
    SET_TARGET_PROPERTIES(digikamcore PROPERTIES COMPILE_FLAGS -DJPEG_STATIC)
    SET_TARGET_PROPERTIES(digikamcore PROPERTIES OUTPUT_NAME digikamlib)
ENDIF(WIN32)
INSTALL(TARGETS digikamcore ${INSTALL_TARGETS_DEFAULT_ARGS})


# Shared libdigikamdatabase ########################################################

# Disable libsqlite2 C code warnings plus specific flags.
IF(WIN32)
    SET_SOURCE_FILES_PROPERTIES(${libsqlite2_SRCS} PROPERTIES COMPILE_FLAGS "-w -D_OFF_T_ -D_OFF_T_DEFINED")
ELSE(WIN32)
    SET_SOURCE_FILES_PROPERTIES(${libsqlite2_SRCS} PROPERTIES COMPILE_FLAGS "-w")
ENDIF(WIN32)

## Disable libpgf warnings.
#SET_SOURCE_FILES_PROPERTIES(${libpgf_SRCS} PROPERTIES COMPILE_FLAGS "-w")

SET(digikamdatabase_LIB_SRCS
        ${libdatabase_SRCS}
        ${libhaar_SRCS}
        ${libdatabasemodels_SRCS}
        ${libsqlite2_SRCS}
        ${libpgf_SRCS}
        ${pgfutils_SRCS}
)

KDE4_ADD_LIBRARY(digikamdatabase SHARED ${digikamdatabase_LIB_SRCS})

TARGET_LINK_LIBRARIES(digikamdatabase
        digikamcore
        ${KDE4_KIO_LIBS}
        ${KDE4_SOLID_LIBS}
        ${KEXIV2_LIBRARIES}
        ${KDCRAW_LIBRARIES}
        ${QT_QTCORE_LIBRARY}
        ${QT_QTGUI_LIBRARY}
        ${QT_QTSQL_LIBRARY}
)

IF(PGF_FOUND)
   TARGET_LINK_LIBRARIES(digikamdatabase ${PGF_LIBRARIES})
ENDIF(PGF_FOUND)

SET_TARGET_PROPERTIES(digikamdatabase PROPERTIES VERSION 1.0.0 SOVERSION 1 )
INSTALL(TARGETS digikamdatabase ${INSTALL_TARGETS_DEFAULT_ARGS} )

# digiKam nepomuk services #########################################################

IF (NEPOMUK_FOUND)

    SET(digikamnepomukservices_SRCS ${libnepomukservices_SRCS} )

    INCLUDE(SopranoAddOntology)
    SOPRANO_ADD_ONTOLOGY(digikamnepomukservices_SRCS "${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nie.trig" "NIE" "Nepomuk::Vocabulary" "trig")
    SOPRANO_ADD_ONTOLOGY(digikamnepomukservices_SRCS "${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nfo.trig" "NFO" "Nepomuk::Vocabulary" "trig")

    KDE4_ADD_PLUGIN(digikamnepomukservice ${digikamnepomukservices_SRCS})

    TARGET_LINK_LIBRARIES(digikamnepomukservice
            ${KDE4_KIO_LIBS}
            ${KDE4_SOLID_LIBS}
            ${KIPI_LIBRARIES}
            ${KEXIV2_LIBRARIES}
            ${KDCRAW_LIBRARIES}
            ${QT_QTSQL_LIBRARY}
            ${SOPRANO_CLIENT_LIBRARIES}
            ${SOPRANO_LIBRARIES}
            ${KDE4_KDEUI_LIBS}
            ${KDE4_KIO_LIBS}
            ${NEPOMUK_LIBRARIES}
            digikamcore
            digikamdatabase
)

    INSTALL(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/../utilities/nepomuk/digikamnepomukservice.desktop
    DESTINATION ${SERVICES_INSTALL_DIR})
    INSTALL(
    TARGETS digikamnepomukservice
    DESTINATION ${PLUGIN_INSTALL_DIR})

ENDIF (NEPOMUK_FOUND)

# digiKam binary progam #########################################################

SET(digikam_SRCS
        ${libdimgimagewindow_SRCS}
        ${libdeletedialog_SRCS}
        ${libimagepropertiesdigikam_SRCS}
        ${libsetup_SRCS}
        ${liblighttable_SRCS}
        ${libbatch_SRCS}
        ${libkipiiface_SRCS}
        ${libsearchwindow_SRCS}
        ${libfuzzysearch_SRCS}
        ${libgpssearch_SRCS}
        ${libtimeline_SRCS}
        ${libalbummodels_SRCS}
        ${libdigikamgui_SRCS}
        ${libfirstrun_SRCS}
        ${libtemplate_SRCS}
        ${libdatabaseui_SRCS}

        main.cpp
)

QT4_ADD_DBUS_ADAPTOR(digikam_SRCS org.kde.digikam.xml digikamapp.h Digikam::DigikamApp)

KDE4_ADD_APP_ICON(digikam_SRCS "../data/icons/apps/hi*-app-digikam.png")

KDE4_ADD_EXECUTABLE(digikam ${digikam_SRCS})

TARGET_LINK_LIBRARIES(digikam
        ${KDE4_KPARTS_LIBS}
        ${KDE4_PHONON_LIBS}
        ${KDE4_KHTML_LIBS}
        ${KDE4_KUTILS_LIBS}
        ${KDE4_KNOTIFYCONFIG_LIBRARY}
        ${KDE4_SOLID_LIBS}
        ${KIPI_LIBRARIES}
        ${KEXIV2_LIBRARIES}
        ${KDCRAW_LIBRARIES}
        ${QT_QTSQL_LIBRARY}
        ${QT_QT3SUPPORT_LIBRARY}
        ${STRIGI_LIBRARIES}
        ${LCMS_LIBRARIES}

        digikamcore
        digikamdatabase
        advancedrename
        queuemanager
        cameragui

        ${GPHOTO2_LIBRARIES}
)

IF(KDEPIMLIBS_FOUND)
  TARGET_LINK_LIBRARIES(digikam ${KDE4_KABC_LIBS})
ENDIF(KDEPIMLIBS_FOUND)

IF(MARBLEWIDGET_FOUND)
  TARGET_LINK_LIBRARIES(digikam ${LIBMARBLEWIDGET_LIBRARY})
ENDIF(MARBLEWIDGET_FOUND)

IF(CLAPACK_FOUND)
   TARGET_LINK_LIBRARIES(digikam ${CLAPACK_LIBRARY})
ENDIF(CLAPACK_FOUND)

INSTALL(TARGETS digikam ${INSTALL_TARGETS_DEFAULT_ARGS})

# Others Files to install #######################################################

INSTALL(PROGRAMS digikam.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
INSTALL(FILES digikamui.rc DESTINATION ${DATA_INSTALL_DIR}/digikam)
INSTALL(FILES digikam.notifyrc DESTINATION ${DATA_INSTALL_DIR}/digikam)
INSTALL(FILES digikam_export.h DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

=== debian/changelog ===
digikam (2:1.9.0-1ubuntu1) natty; urgency=low

  * Merge with debian, remaining changes
    - Export .pot name and copy to plugins in debian/rules
  * Add an AppArmor profile for the local mysql server. (LP: #735949)
    - Use a wrapper script for mysqld.
    - Add kubuntu_01_mysqld_executable_name.diff so digikam uses the
      wrapper script instead of directly running mysqld.
  * Make digikam suggest libqt4-sql-mysql and mysql-server-core-5.1.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 17 Mar 2011 11:21:31 +0100

digikam (2:1.9.0-1) experimental; urgency=low

  * New upstream release
    - Requires packages from http://qt-kde.debian.net/

 -- Mark Purcell <msp@debian.org>  Sat, 05 Mar 2011 09:57:45 +1100

digikam (2:1.8.0-1ubuntu1) natty; urgency=low

  * Merge with debian, remaining changes
    - Export .pot name and copy to plugins in debian/rules
    - Version build-depends on kipi-plugins-dev to ensure build is against the
      same version on all archs

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 25 Jan 2011 15:54:05 +0100

digikam (2:1.8.0-1) experimental; urgency=low

  * New upstream release
    - Requires packages from http://qt-kde.debian.net/

 -- Mark Purcell <msp@debian.org>  Wed, 22 Dec 2010 07:35:26 +1100

digikam (2:1.7.0-1ubuntu1) natty; urgency=low

  * Merge from Debian Experimental. Remaining Ubuntu changes:
    - Export .pot name and copy to plugins in debian/rules
    - Version build-depends on kipi-plugins-dev to ensure build is against the
      same version on all archs
  * Drop debian/patches/kubuntu_01_linker.diff, incoporated upstream
  * Remove patches directory and unused patches

 -- Scott Kitterman <scott@kitterman.com>  Tue, 21 Dec 2010 23:19:11 -0500

digikam (2:1.7.0-1) experimental; urgency=low

  * New upstream release
    - Requires packages from http://qt-kde.debian.net/

 -- Mark Purcell <msp@debian.org>  Wed, 22 Dec 2010 07:35:26 +1100

digikam (2:1.6.0-1) experimental; urgency=low

  * New upstream release (Closes: #585081)
  * Remove debian/patches included upstream
  * Update Build-Depends for KDE SC 4.5
    - Add Build-Depends: shared-desktop-ontologies & mysql-server-5.1
    - Requires packages from http://qt-kde.debian.net/
  * New watch file for sf.net
  * dh_installchangelogs NEWS

 -- Mark Purcell <msp@debian.org>  Sun, 28 Nov 2010 11:50:13 +1100

digikam (2:1.6.0-0ubuntu1) natty; urgency=low

  * New upstream release
  * Add kubuntu_01_linker.diff to fix linking

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Dec 2010 12:06:40 +0000

digikam (2:1.5.0-0ubuntu1) natty; urgency=low

  * New upstream release
    - Bump build-dependencies
    - Build against libkipi-dev 1.5.0

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 24 Oct 2010 00:20:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,30 +2,33 @@
 Section: graphics
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+XSBC-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 7.2), pkg-kde-tools (>= 0.9), cmake (>= 2.6.2), autotools-dev,
+ doxygen,
  kdelibs5-dev (>= 4:4.4.4), kdepimlibs5-dev,
+ shared-desktop-ontologies,
+ mysql-server-5.1 | mysql-server,
  libglib2.0-dev, libgphoto2-2-dev (>= 2.4),
- libkipi-dev, libkexiv2-dev, libkdcraw-dev, libmarble-dev (>= 4:4.4),
- shared-desktop-ontologies,
+ libkipi-dev, libkexiv2-dev (>= 4:4.5), libkdcraw-dev (>= 4:4.5), libmarble-dev (>= 4:4.5),
  liblcms1-dev, libtiff4-dev, libpng12-dev, liblqr-1-0-dev,
  libjasper-dev,
  liblensfun-dev,
  libsqlite3-dev,
  libltdl3-dev,
- libx11-dev,
- mysql-server-5.1
+ libx11-dev
 Standards-Version: 3.8.4
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/digikam/ubuntu
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/digikam/ubuntu
+XS-Debian-Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/digikam/trunk
+XS-Debian-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/digikam/trunk?op=log
 Homepage: http://www.digikam.org
 
 Package: digikam
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite, digikam-data (= ${source:Version})
 Recommends: www-browser, kipi-plugins
-Suggests: digikam-doc
+Suggests: digikam-doc, libqt4-sql-mysql, mysql-server-core-5.1
 Description: digital photo management application for KDE
  Digital photo management program designed to import, organize, enhance, search
  and export your digital images to and from your computer.

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,14 @@
 
 override_dh_strip:
 	dh_strip -a --dbg-package=digikam-dbg
+
+override_dh_install:
+	dh_install
+	install -m 644 -p -D debian/usr.sbin.mysqld-digikam \
+		debian/digikam/etc/apparmor.d/usr.sbin.mysqld-digikam
+	install -m 755 -p -D debian/mysqld-digikam \
+		debian/digikam/usr/sbin/mysqld-digikam
+
+override_dh_installinit:
+	dh_installinit
+	dh_apparmor -pdigikam --profile-name=usr.sbin.mysqld-digikam

=== debian/watch ===
version=3

opts=uversionmangle=s/-/~/  \
 http://sf.net/digikam/digikam-(1.\d+.*)\.tar\.bz2 debian svn-upgrade
